Progetti
GET https://0o0.online/api/projects/
curl --request GET \
--url 'https://0o0.online/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | dettagli | Descrizione |
|---|---|---|
| search | Opzionale String | La stringa di ricerca. |
| search_by | Opzionale String | Quali campi stai cercando? i valori consentiti sono: name. |
| datetime_field | Opzionale String | Valori autorizzati: datetime, last_datetime |
| datetime_start | Opzionale String | Filtrare i risultati a partire da questa data. Y-m-d H:i:s Il formato. |
| datetime_end | Opzionale String | Filtrare i risultati fino a questa data. Y-m-d H:i:s Il formato. |
| order_by | Opzionale String | Quale campo per ordinare i risultati per. I valori consentiti sono: project_id, datetime, last_datetime, name. |
| order_type | Opzionale String | I valori consentiti sono: ASC per l’ascesa dell’ordine, e DESC per la scadenza di ordine. |
| page | Opzionale Integrazione | Il numero di pagina da cui si desidera i risultati. 1. |
| results_per_page | Opzionale Integrazione | Quanti risultati si desidera per pagina. valori consentiti sono: 10, 25, 50, 100, 250, 500, 1000. Defatti per 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"email_reports": [1],
"last_datetime": null,
"datetime": "2026-10-16 01:34:47",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/projects?page=1",
"last": "https://0o0.online/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/projects?page=1"
}
}
GET https://0o0.online/api/projects/{project_id}
curl --request GET \
--url 'https://0o0.online/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"email_reports": [1],
"last_datetime": null,
"datetime": "2026-10-16 01:34:47",
}
}
POST https://0o0.online/api/projects
| Parametri | dettagli | Descrizione |
|---|---|---|
| name | Obbligatorio String | - |
| color | Opzionale String | - |
| email_reports | Opzionale Array | Avviso di manipolazione ID |
curl --request POST \
--url 'https://0o0.online/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--form 'email_reports[]=1' \
--url 'https://0o0.online/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--form 'email_reports[]=1' \
{
"data": {
"id": 1,
"email_reports": [1]
}
}
POST https://0o0.online/api/projects/{project_id}
| Parametri | dettagli | Descrizione |
|---|---|---|
| name | Opzionale String | - |
| color | Opzionale String | - |
| email_reports | Opzionale Array | Avviso di manipolazione ID |
curl --request POST \
--url 'https://0o0.online/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--form 'email_reports[]=1' \
--url 'https://0o0.online/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--form 'email_reports[]=1' \
{
"data": {
"id": 1,
"email_reports": [1]
}
}
DELETE https://0o0.online/api/projects/{project_id}
curl --request DELETE \
--url 'https://0o0.online/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \